package com.ruoyi.app.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 app_stand
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public class AppStand extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 站点编码 */
    private Long standId;

    /** 站点编码 */
    @Excel(name = "站点编码")
    private String standCode;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String standName;

    /** 站点类型 */
    @Excel(name = "站点类型")
    private String standType;

    /** 所在区域 */
    @Excel(name = "所在区域")
    private String standArea;

    /** 属性 */
    @Excel(name = "属性")
    private String standProperty;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    /** 状态 */
    @Excel(name = "状态")
    private Long standStatus;

    /** 是否锁定 */
    private Long isLock;

    public void setStandId(Long standId)
    {
        this.standId = standId;
    }

    public Long getStandId()
    {
        return standId;
    }
    public void setStandName(String standName)
    {
        this.standName = standName;
    }

    public String getStandCode() {
        return standCode;
    }

    public void setStandCode(String standCode) {
        this.standCode = standCode;
    }

    public String getStandName()
    {
        return standName;
    }
    public void setStandType(String standType)
    {
        this.standType = standType;
    }

    public String getStandType()
    {
        return standType;
    }
    public void setStandArea(String standArea)
    {
        this.standArea = standArea;
    }

    public String getStandArea()
    {
        return standArea;
    }
    public void setStandProperty(String standProperty)
    {
        this.standProperty = standProperty;
    }

    public String getStandProperty()
    {
        return standProperty;
    }
    public void setStandStatus(Long standStatus)
    {
        this.standStatus = standStatus;
    }

    public Long getStandStatus()
    {
        return standStatus;
    }
    public void setIsLock(Long isLock)
    {
        this.isLock = isLock;
    }

    public Long getIsLock()
    {
        return isLock;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("standId", getStandId())
                .append("standName", getStandName())
                .append("standType", getStandType())
                .append("standArea", getStandArea())
                .append("standProperty", getStandProperty())
                .append("standStatus", getStandStatus())
                .append("isLock", getIsLock())
                .append("remark", getRemark())
                .toString();
    }
}
